Opened 14 years ago

Closed 14 years ago

#471 closed defect (fixed)

starttime/progstart confusion causing transcode jobs to queue incorrectly

Reported by: anonymous Owned by: cpinkham
Priority: major Milestone: 0.19
Component: mythtv Version: head
Severity: medium Keywords:
Cc: Ticket locked: no

Description

For about the last 4 weeks my my job queue has been showing empty, despite my transcode jobs (entered by pressing x when watching recordings) being entered into the jobqueue table.

With futher investigation it appears the jobs are not being recognised as starttime in the jobqueue table is incorrect, being entered as progstart and not starttime from the recorded table. Manually changing starttime in jobqueue to the recorded progstart causes the jobs to execute correctly.

I am not sure whether the jobs are being queued with the incorrect time (progstart) or whether the job queue should be joining to progstart rather than starttime in the recorded table.

Change History (9)

comment:1 Changed 14 years ago by cpinkham

Resolution: invalid
Status: newclosed

Are you running current SVN? Sounds like your copy is about 4 weeks old since this was fixed back on Sept 15th in [7255]. Make sure you're running current SVN.

comment:2 Changed 14 years ago by anonymous

Resolution: invalid
Status: closedreopened
Version: head

I have been regularly updating and this still the case. My current SVN is 7455 from earlier this week. I haven't seen anything on the commits since then that suggests it may address this problem.

comment:3 Changed 14 years ago by anonymous

Just to clarify the only change in this I have seen from updating is that initially jobs would show in the queue and not run, but more recently (quite possibly since 7255) they do not even show in the queue. I am testing with recordings made since the update to 7455 (in case the record table was at fault).

comment:4 Changed 14 years ago by anonymous

Are you sure your make install's are going into your path. A bit back there was a problem where configure wouldn't reset a .mak symbolic link. If you have that dead link in there and haven't run ./configure since they fixed it, the PREFIX will have been ignored. Check if there's a /share on your system's root, for example.

comment:5 Changed 14 years ago by anonymous

Very sure:

av mythtv # type mythbackend mythbackend is /usr/bin/mythbackend av mythtv # ls -l /usr/bin/mythbackend -rwxr-xr-x 1 root root 738100 Oct 12 08:45 /usr/bin/mythbackend av mythtv # ls -l /usr/bin/mythfrontend -rwxr-xr-x 1 root root 1289900 Oct 12 08:45 /usr/bin/mythfrontend

I trashed my existing copy of source before my last svn sync/compile, so things were definately up to date. I've also checked and there are no other mythbackend/mythfrontend files lying around as a result of an incorrect make install.

Is anyone else having this problem? Would it show more for me as I always start/end my recordings a few minutes either side of the scheduled times?

comment:6 Changed 14 years ago by cpinkham

Milestone: 0.19
Owner: changed from Isaac Richards to cpinkham
Status: reopenednew

Can you paste in here the results of the following SQL commands?

select * from jobqueue\G

select * from recorded where chanid = CHANID and starttime = YYYYMMDDHHMMSS\G

That is a slash then a 'G' at the end of each line. For the second query, run it once for each program that is having the problem and substitute in the correct CHANID and starttime (in YYYYMMDDHHMMSS format such as 20051015203000;

I want to see what it is queueing up. The code in PlaybackBox? looks correct, it uses recstartts.

comment:7 Changed 14 years ago by Stuart Auchterlonie

I'm seeing this too. Here's some info you wanted I've edited the jobqueue output to delete the finished commflagging jobs as these aren't relevant to the problem.

I can trigger this reliably. Edit a recording to make sure the commbreaks are in the right spot, and then hit X to start the transcode. Nada.

mysql> select * from jobqueue\G
*************************** 1. row ***************************
        id: 329
    chanid: 1003
 starttime: 2005-10-11 15:35:00
inserttime: 2005-10-15 16:35:39
      type: 1
      cmds: 4
     flags: 1
    status: 1
statustime: 2005-10-15 17:19:38
  hostname:
      args: ganymede
   comment:
*************************** 9. row ***************************
        id: 321
    chanid: 1003
 starttime: 2005-09-25 14:30:00
inserttime: 2005-10-12 22:37:32
      type: 1
      cmds: 0
     flags: 1
    status: 1
statustime: 2005-10-12 22:37:32
  hostname:
      args: ganymede
   comment:
mysql> select * from recorded where chanid=1003 and starttime=20051011153400\G
*************************** 1. row ***************************
         chanid: 1003
      starttime: 2005-10-11 15:34:00
        endtime: 2005-10-11 15:52:00
          title: SpongeBob SquarePants
       subtitle: Club SpongeBob
    description: SpongeBob and Patrick's club is too small for Squidward... literally. But Squidward forces his way in, 'propelling' the clubhouse into the middle of nowhere.
       category: Kids
       hostname: ganymede
       bookmark: NULL
        editing: 0
        cutlist: 0 - 5867
22166 - 26135

     autoexpire: 1
    commflagged: 1
       recgroup: Animation
       recordid: 157
       seriesid:
      programid:
   lastmodified: 2005-10-14 13:48:17
       filesize: 428739076
          stars: 0
previouslyshown: 0
originalairdate: 2005-10-11
       preserve: 0
         findid: 0
  deletepending: 0
     transcoder: 28
    timestretch: 1
    recpriority: 0
       basename: 1003_20051011153400.mpg
      progstart: 2005-10-11 15:35:00
        progend: 2005-10-11 15:50:00
1 row in set (0.00 sec)

mysql> select * from recorded where chanid=1003 and starttime=20050925142900\G *************************** 1. row ***************************
         chanid: 1003
      starttime: 2005-09-25 14:29:00
        endtime: 2005-09-25 15:33:00
          title: Goodwood Revival
       subtitle:
    description: Murray Walker & Amanda Stretton report from Goodwood Revival, the annual sporting & social occasion which this year features Sir Stirling Moss, Jackie Stewart, Gerhard Berger & Wayne Gardner.
       category: Sports
       hostname: ganymede
       bookmark: NULL
        editing: 1
        cutlist: 0 - 2534
17529 - 22860
43555 - 48880
69129 - 74984
91034 - 96563

     autoexpire: 1
    commflagged: 1
       recgroup: Grand Prix
       recordid: 144
       seriesid:
      programid:
   lastmodified: 2005-10-15 18:23:30
       filesize: 1850180004
          stars: 0
previouslyshown: 0
originalairdate: 2005-09-25
       preserve: 0
         findid: 0
  deletepending: 0
     transcoder: 28
    timestretch: 1
    recpriority: 0
       basename: 1003_20050925142900.mpg
      progstart: 2005-09-25 14:30:00
        progend: 2005-09-25 15:30:00
1 row in set (0.00 sec)

comment:8 Changed 14 years ago by myth@…

Stuarts results show the same issue as mine, but for the sake of completeness:

From jobqueue (I had fixed the previous jobs by changing the stattime in jobqueue to match starttime in recorded, so I have skipped these entries):

*************************** 18. row ***************************
        id: 155
    chanid: 1003
 starttime: 2005-10-16 20:30:00
inserttime: 2005-10-16 21:07:05
      type: 1
      cmds: 0
     flags: 1
    status: 1
statustime: 20051016210705
  hostname: 
      args: 
   comment: 

The corresponding entry from recorded:

*************************** 1. row ***************************
         chanid: 1003
      starttime: 2005-10-16 20:55:00
        endtime: 2005-10-16 21:01:00
          title: Head 2 Head
       subtitle: 
    description: A lively topical discussion programme, with two studio guests from opposite sides of the political debate going head to head over the key issues and controversies of the week.
       category: News
       hostname: av
       bookmark: NULL
        editing: 0
        cutlist: NULL
     autoexpire: 0
    commflagged: 3
       recgroup: Default
       recordid: 152
       seriesid: 
      programid: 
   lastmodified: 20051016210100
       filesize: 150069308
          stars: 0
previouslyshown: 0
originalairdate: 2005-10-16
       preserve: 0
         findid: 0
  deletepending: 0
     transcoder: 0
    timestretch: 1
    recpriority: 0
       basename: 1003_20051016205500.mpg
      progstart: 2005-10-16 20:30:00
        progend: 2005-10-16 21:00:00

comment:9 Changed 14 years ago by cpinkham

Resolution: fixed
Status: newclosed

(In [7498]) Use recstartts (aka recorded.starttime) instead of startts (aka recorded.progstart) when queuing up or stopping a transcode via the 'X' key during recording playback. Closes #471.

Note: See TracTickets for help on using tickets.